/*
 * Copyright (c) 2008, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestServlet.java 62525 2011-04-15 12:14:31Z dougd $
 */
package com.sun.ts.tests.jsf.api.javax_faces.event.exceptionqueuedevent;

import com.sun.ts.tests.jsf.api.javax_faces.event.common.BaseExceptionQueuedEventTestServlet;


import javax.faces.context.FacesContext;
import javax.faces.event.ExceptionQueuedEvent;
import javax.faces.event.ExceptionQueuedEventContext;

public class TestServlet extends BaseExceptionQueuedEventTestServlet {

    private FacesContext fcontext;

    @Override
    protected ExceptionQueuedEvent createEvent(
            ExceptionQueuedEventContext eqec) {
        return new ExceptionQueuedEvent(eqec);
    }

    @Override
    protected ExceptionQueuedEventContext getExceptionQueuedEventContext() {
        fcontext = getFacesContext();
        ExceptionQueuedEventContext eqec = new ExceptionQueuedEventContext(
                fcontext, new IllegalArgumentException());

        return eqec;
    }

    //------------------------------------------------------------- test methods
}
